Skip to content

Live incentives stream (Server-Sent Events)

GET
/api/v1/platforms/{platform}/incentives/stream

Authorizations

or
session

Browser session cookie.

Type
API Key (cookie: bp_session)
or
apiKey

User API key: Authorization: Bearer bpi_...

Type
HTTP (bearer)

Parameters

Path Parameters

platform*
Type
string
Required
Valid values
"Windows""EGS""GRDK"

Responses

OK

text/event-stream
JSON
[
  
{
  
  
"data": {
  
  
  
"$schema": "https://bpincentives.com/schemas/IncentivesPayload.json",
  
  
  
"category": "string",
  
  
  
"generatedAt": "string",
  
  
  
"platform": "string",
  
  
  
"regions": [
  
  
  
],
  
  
  
"status": "string",
  
  
  
"statusReason": "string",
  
  
  
"updatedAt": "string",
  
  
  
"version": "string"
  
  
},
  
  
"event": "message",
  
  
"id": 0,
  
  
"retry": 0
  
}
]

Playground

Variables
Key
Value

Samples

Powered by VitePress OpenAPI